{{/* https://discourse.gohugo.io/t/adding-anchor-next-to-headers/1726 */}}
{{/* Styled based off tailwindcss documentation stylings */}}
{{ . | replaceRE "(<h[2-9] id=\"([^\"]+)\"[^>]*)>(.+)(</h[2-9]+>)" "${1} class=\"group flex whitespace-pre-wrap\"><a class=\"headline-hash absolute after:hash opacity-0 group-hover:opacity-100\" style=\"margin-left:-1.5em;padding-left:0.25em;padding-right:0.25em;box-shadow:none;color:#a1a1aa;text-decoration:none\" href=\"#${2}\">§</a><span>${3}</span>${4}" | safeHTML }}
